Package org.eigenbase.xom.wrappers

# Class JaxpDOMParser

java.lang.Object
org.eigenbase.xom.wrappers.GenericDOMParser
org.eigenbase.xom.wrappers.JaxpDOMParser

All Implemented Interfaces:
  `Locator`, `Parser`, `ErrorHandler`

public class JaxpDOMParser extends GenericDOMParser
A `JaxpDOMParser` implements `Parser` using a `JAXP-compliant parser`.

Since:
  Aug 29, 2002
Version:
  $Id: //open/util/resgen/src/org/eigenbase/xom/wrappers/JaxpDOMParser.java#3 $
Author:
  jhyde

## Field Summary

### Fields inherited from class org.eigenbase.xom.wrappers.GenericDOMParser

`document, errorBuffer, errorOut, LOAD_EXTERNAL_DTD_FEATURE, VALIDATION_FEATURE`

## Constructor Summary

Constructors
Constructor
Description
`JaxpDOMParser()`
Creates a non-validating parser.
`JaxpDOMParser(boolean validating)`
Creates a parser.

## Method Summary

Modifier and Type
Method
Description
`protected Document`
`parseInputSource(InputSource in)`
Parses the specified URI and returns the document.

### Methods inherited from class org.eigenbase.xom.wrappers.GenericDOMParser

`create, error, fatalError, getLocation, handleErrors, isKeepPositions, parse, parse, parse, parse, prepareParse, setKeepPositions, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JaxpDOMParser

public JaxpDOMParser() throws XOMException
Creates a non-validating parser.

Throws:
  `XOMException`

### JaxpDOMParser

public JaxpDOMParser(boolean validating) throws XOMException
Creates a parser.

Throws:
  `XOMException`

## Method Details

### parseInputSource

protected Document parseInputSource(InputSource in) throws XOMException
Description copied from class: `GenericDOMParser`
Parses the specified URI and returns the document.

Specified by:
  `parseInputSource` in class `GenericDOMParser`
Parameters:
  `in` - Input source
Returns:
  Document
Throws:
  `XOMException` - on error